#include <sys/sysctl.h>
#include <sys/types.h>
#include <stdlib.h>
#include <stdio.h>
#include <stdint.h>
#include <stdbool.h>
#include <syslog.h>
#include <mach/mach.h>

void sysctl_test( char* str ) {
    size_t size;
    sysctlbyname(str, NULL, &size, NULL, 0);
    printf( "szukseges malloc: %ld\n", size);
    char *features = malloc(size);
    sysctlbyname(str, features, &size, NULL, 0);
    printf( "sysctl reply: %s\n", features);
}

int main( int argv, char **argc) {
    sysctl_test("hw.model");
    sysctl_test("machdep.cpu.features");
    return 0;
}
